<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Login Form</title>
    <style>
      /* Background gradient for the entire page */
      body {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
        background: linear-gradient(to right, #74ebd5, #acb6e5);
        font-family: Arial, sans-serif;
        margin: 0;
      }

      /* Centered container for the form */
      .outer {
        background-color: #ffffff;
        border-radius: 10px;
        width: 400px;
        padding: 20px;
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
        text-align: center;
      }

      h1 {
        color: #333;
        margin-top: 0;
        font-size: 1.5em;
      }

      p {
        margin: 10px 0 5px 0;
        color: #333;
        font-weight: bold;
      }

      .in {
        width: 80%;
        padding: 10px;
        margin: 10px 0;
        border: 2px solid #ccc;
        border-radius: 5px;
        transition: border-color 0.3s;
      }

      .in:focus {
        border-color: #74ebd5;
        outline: none;
      }

      #bt {
        width: 50%;
        padding: 10px;
        margin-top: 20px;
        background-color: #74ebd5;
        border: none;
        color: #fff;
        font-weight: bold;
        font-size: 1em;
        border-radius: 5px;
        cursor: pointer;
        transition: all 0.3s;
      }

      #bt:hover {
        background-color: #4cb6ac;
        transform: scale(1.05);
      }

      #bt.error {
        background-color: #e74c3c;
      }
    </style>
    <script>
      function validateForm() {
        const inputA = document.getElementById("a");
        const inputB = document.getElementById("b");
        const bt = document.getElementById("bt");

        // Check if both fields are filled
        if (inputA.value === "" || inputB.value === "") {
          // Display an error state
          f();
          inputA.style.border = "2px solid #e74c3c";
          inputB.style.border = "2px solid #e74c3c";
          bt.value = "Please complete all fields";
          bt.classList.add("error");
        } else {
          // Display a success state
          inputA.style.border = "2px solid #4cb6ac";
          inputB.style.border = "2px solid #4cb6ac";
          bt.value = "Submit Successfully";
          bt.classList.remove("error");
          bt.style.left = "120px";
        }
      }

      let flag = 1;
      function f() {
        const bt = document.getElementById("bt");
        if (flag === 1) {
          bt.style.left = "210px";
          flag = 2;
        } else {
          bt.style.left = "80px";
          flag = 1;
        }
      }
    </script>
  </head>
  <body>
    <div class="outer">
      <h1>Login Form</h1>
      <p>Enter Username</p>
      <input class="in" type="text" placeholder="Enter your username" id="a" />
      <p>Enter Password</p>
      <input
        class="in"
        type="password"
        placeholder="Enter your password"
        id="b"
      />
      <br />
      <input
        type="submit"
        onmouseenter="validateForm()"
        onclick="alert('Submission Successful!')"
        id="bt"
        value="Submit"
      />
    </div>
  </body>
</html>
